.important-notes {
  position: relative;
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
  min-height: 402px;
  aspect-ratio: 240 / 67;
}

.important-notes__decor-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 2;
  display: flex;
  flex-direction: column;
  gap: 12px;
  align-items: center;
  justify-content: center;
  width: 290px;
  height: 290px;
  background-color: #71BDBD;
  border-radius: 50%;
  transform: translate(-50%, -50%);
}

.important-notes__decor-wrapper:after {
  position: absolute;
  top: -5%;
  right: -30%;
  width: 170px;
  height: 86px;
  content: '';
  background: url(../img/home-hire.svg) center / cover no-repeat;
}

.important-notes__decor-image-wrapper {
  display: block;
  width: 52px;
  height: 52px;
  margin: 0 auto;
}

.important-notes__decor-image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.important-notes__decor-title {
  max-width: 200px;
  margin: 0 auto;
  font-family: HarlowDuoSerifPlain, serif;
  font-size: 30px;
  font-style: normal;
  font-weight: 400;
  line-height: 120%; /* 36px */
  color: #FFF;
  text-align: center;
}

.important-notes__decor-text {
  max-width: 213px;
  margin: 0 auto;
  font-family: Montserrat, sans-serif;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 155%; /* 20.15px */
  color: #FFF;
  text-align: center;
}

.important-notes__content {
  position: relative;
  display: flex;
  height: 100%;
}

.important-notes__content:before {
  position: absolute;
  top: 0;
  right: 100%;
  width: calc(50vw - 640px);
  height: 100%;
  content: '';
  background-color: #f2faf8;
}

.important-notes__text-content {
  display: flex;
  flex: 1 1 44%;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  padding-right: 74px;
  background-color: #f2faf8;
}

.important-notes__title {
  max-width: 450px;
  margin: 0 0 12px;
  font-family: HarlowDuoSerifPlain, serif;
  font-size: 40px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 56px */
  color: var(--Primary-teal);
}

.important-notes__subtitle {
  max-width: 450px;
  margin: 0;
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 162%; /* 25.92px */
  color: var(--Neutral-0);
}

.important-notes__btn-wrap {
  margin-top: 24px;
}

.important-notes__btn-wrap .btn {
  min-width: 212px;
}

.important-notes__media-content {
  position: relative;
  flex: 1 1 56%;
  height: 100%;
}

.important-notes__media-content:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 90%;
  height: 100%;
  content: '';
  background: linear-gradient(270deg, rgba(242, 250, 248, 0.00) 0%, #F2FAF8 100%);
}

.important-notes__media-content-image-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: calc(50vw + 70px);
  height: 100%;
}

.important-notes__media-content-image-wrapper picture,
.important-notes__media-content-image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

@media screen and (max-width: 1440px) {
  .important-notes {
    aspect-ratio: initial;
  }

  .important-notes__content:before {
    width: calc(50vw - 560px);
  }
}

@media screen and (max-width: 1360px) {
  .important-notes__decor-wrapper {
    width: clamp(200px, 137px + 11.25vw, 290px);
    height: clamp(200px, 137px + 11.25vw, 290px);
  }

  .important-notes__decor-wrapper:after {
    width: clamp(80px, 17px + 11.25vw, 170px);
    height: clamp(41px, 9.5px + 5.625vw, 86px);
  }

  .important-notes__decor-image-wrapper {
    width: clamp(32px, 18px + 2.5vw, 52px);
    height: clamp(32px, 18px + 2.5vw, 52px);
  }

  .important-notes__decor-title {
    max-width: clamp(155px, 123.5px + 5.625vw, 200px);
    font-size: clamp(16px, 6.2px + 1.75vw, 30px);
  }

  .important-notes__decor-text {
    max-width: clamp(155px, 114.4px + 7.25vw, 213px);
    font-size: clamp(11px, 9.6px + 0.25vw, 13px);
    line-height: 155%; /* 20.15px */
  }

  .important-notes__title {
    max-width: 450px;
    font-size: clamp(28px, 19.6px + 1.5vw, 40px);
  }

  .important-notes__subtitle {
    max-width: 450px;
    font-size: clamp(12px, 9.2px + 0.5vw, 16px);
  }
}

@media screen and (max-width: 660px) {
  .important-notes {
    min-height: 690px;
    overflow: hidden;
  }

  .important-notes__decor-wrapper {
    transform: translate(-50%, -20%);
  }

  .important-notes__content {
    flex-direction: column;
  }

  .important-notes__media-content-image-wrapper {
    width: calc(100% + 32px);
    margin: 0 -16px;
  }

  .important-notes__media-content:before {
    left: 50%;
    width: calc(100% + 32px);
    height: 90%;
    background: linear-gradient(0deg, rgba(242, 250, 248, 0.00) 0%, #F2FAF8 100%);
    transform: translateX(-50%);
  }

  .important-notes__media-content {
    flex: 1 1 50%;
  }

  .important-notes__text-content {
    flex: 1 1 50%;
    justify-content: flex-start;
    padding-top: 32px;
    padding-right: initial;
  }

  .important-notes__title {
    max-width: 182px;
    margin: 0 auto 16px;
    text-align: center;
  }

  .important-notes__subtitle {
    max-width: 290px;
    margin: 0 auto;
    text-align: center;
  }

  .important-notes__btn-wrap {
    display: flex;
    justify-content: center;
    margin-top: 16px;
  }
}

@media screen and (max-width: 560px) {
  .important-notes__decor-wrapper {
    width: 200px;
    height: 200px;
  }

  .important-notes__decor-wrapper:after {
    top: 7%;
    right: -7%;
    width: 80px;
    height: 41px;
  }

  .important-notes__decor-image-wrapper {
    width: 32px;
    height: 32px;
  }

  .important-notes__decor-title {
    max-width: 155px;
    font-size: 16px;
  }

  .important-notes__decor-text {
    max-width: 155px;
    font-size: 11px;
    line-height: 148%;
  }

  .important-notes__title {
    font-size: 28px;
  }

  .important-notes__subtitle {
    font-size: 12px;
    line-height: 150%;
  }
}
